<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class Kriteria extends Model
{
    // Tentukan nama tabel jika berbeda dengan nama model (misalnya 'kriteria' bukan 'kriterias')
    protected $table = 'data_kriterias';
    protected $fillable = ['kode_kriteria', 'nama_kriteria', 'jenis', 'bobot'];

    public function subkriterias()
    {
        return $this->hasMany(SubKriteria::class);
    }
    public function penilaians()
    {
        return $this->hasMany(Penilaian::class, 'kriteria_id');
    }

}

